## org.jdom
Class IllegalNameException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.jdom.IllegalNameException

public class IllegalNameException
extends java.lang.IllegalArgumentException

`IllegalNameException` is thrown when a name is supplied in construction, etc., of a JDOM construct, and that name breaks XML naming conventions.

Version:
  $Revision: 1.7 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`IllegalNameException(java.lang.String name, java.lang.String construct)` This will create an `Exception` indicating that the specified name is illegal for the construct it was supplied to.
`IllegalNameException(java.lang.String name, java.lang.String construct, java.lang.String reason)` This will create an `Exception` indicating that the specified name is illegal for the construct it was supplied to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalNameException

    public IllegalNameException(java.lang.String name,
                                java.lang.String construct,
                                java.lang.String reason)

  This will create an `Exception` indicating that the specified name is illegal for the construct it was supplied to.

  Parameters:
    `name` - `String` name that breaks rules.
    `construct` - `String` name of JDOM construct that `name` was supplied to.
    `reason` - `String` message or reason name is illegal.

### IllegalNameException

    public IllegalNameException(java.lang.String name,
                                java.lang.String construct)

  This will create an `Exception` indicating that the specified name is illegal for the construct it was supplied to.

  Parameters:
    `name` - `String` name that breaks rules.
    `construct` - `String` name of JDOM construct that `name` was supplied to.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.